Skip to main content
GET
List Videos

Authorizations

x-api-key
string
header
required

API key for authentication.

Query Parameters

after
string | null

Return items strictly after this video ID

limit
integer
default:20

Max number of items to return

Required range: 1 <= x <= 100
order
enum<string>
default:desc

Sort order by creation time

Available options:
asc,
desc

Response

200 - application/json

Successful Response

id
string
required

Video generation job ID

Example:

"video_abc123def456"

status
enum<string>
required

Current state of the video

Available options:
PROCESSING,
COMPLETE,
FAILED,
CANCELLED
Example:

"COMPLETE"

created_at
integer
required

When the video was created (unix timestamp)

Example:

1730822400

video_id
string
required
deprecated

[Deprecated] Use "id" instead.

object
string
default:video
Allowed value: "video"
completed_at
integer | null

When processing completed (unix timestamp)

Example:

1730822520

progress
integer | null

Progress percentage (0-100)

Example:

100

error
MAVideoError Β· object | null

Error details if status is FAILED

Example:

null

model
enum<string> | null

Model used for generation (only for source='generation')

Available options:
mirage-avatar-x,
mirage-video-1-latest
Example:

"mirage-avatar-x"

generation_mode
enum<string> | null

Generation mode resolved from the submitted inputs

Available options:
image_to_video,
video_to_video
Example:

"video_to_video"

aspect_ratio
enum<string> | null

Output aspect ratio resolved from the visual reference

Available options:
9:16,
16:9
Example:

"16:9"

source_video_id
string | null

The input video that was captioned (only for source='caption')

Example:

"video_abc123def456"

caption_template_id
string | null

Caption style template used (only for source='caption')

Example:

"ctpl_123456789abcdefg"

Last modified on August 11, 2026